Bug 981963 - no touchpad edge scrolling in fedora 19 gnome
no touchpad edge scrolling in fedora 19 gnome
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-07 06:46 EDT by Sam Tygier
Modified: 2015-02-18 08:58 EST (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-18 08:58:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg log from MSI GE60 (33.71 KB, text/x-log)
2013-07-20 13:20 EDT, Johan Heikkila
no flags Details
2nd Xorg log from MSI GE60 (43.97 KB, text/x-log)
2013-07-25 08:40 EDT, Johan Heikkila
no flags Details
Can't change 2 finger setting (37.25 KB, image/png)
2013-11-16 17:47 EST, openfred
no flags Details

  None (edit)
Description Sam Tygier 2013-07-07 06:46:06 EDT
Description of problem:
In fedora 19 gnome I can't scroll using the edge of my trackpad. There is not option in the mouse/trackpad control panel to enable it. It worked in previous fedora versions. it also works fine if i log in with MATE.

Lenovo S12

Version-Release number of selected component (if applicable):
Fedora 19

How reproducible:
Everytime

Steps to Reproduce:
1. Log in with GNOME.
2. Open a window with scroll bars
3. Try to scroll with edge of trackpad

Actual results:
mouse pointer moves

Expected results:
window scrolls

Additional info:
Comment 1 Peter Hutterer 2013-07-09 19:03:24 EDT
please attach your xorg.log and the output of gsettings list-recursively | grep touchpad
Comment 2 Sam Tygier 2013-07-10 04:39:43 EDT
Hi, The laptop was stolen from me, so i'm affraid I can't provide any more info. If no one else is affected feel free to close this. Thanks.
Comment 3 Peter Hutterer 2013-07-10 19:43:05 EDT
ok, thanks for the update. sorry to hear about the laptop though.

closing this for now, please re-open if you can reproduce on some other machine.
Comment 4 Johan Heikkila 2013-07-20 13:19:16 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=981963

I have the same problem with MSI GE60. The touchpad went nuts after the latest update (xorg-x11-drv-synaptics-1.7.1-3.fc19.x86_64). It worked fine some time before and in Fedora 18 (not sure how long edge scrolling hasn't worked, though, at least it worked in F18).

Symptoms:

- After resuming a suspend, or after starting/rebooting, a touchpad icon is flashing over the GDM login prompt, alternating with an X in the lower right corner of the touchpad and without an X. The same flashing of the touchpad icon is also seen on another desktop PC, which doesn't have a touchpad at all (F19 with all updates).

- After a computer reboot, the touchpad is turned off and I can't turn it on at the login prompt, nor after logging in, using the keyboard hot keys (which worked before). I have to go to settings and manually turn on the touchpad.

- Edge scrolling doesn't work anymore

After a yum downgrade xorg-x11-drv-synaptics (to 1.7.1-2.fc19) the first two issues seems gone, but edge scrolling still doesn't work. I.e. I am able to turn off and on the touchpad using hotkeys both at login prompt and logged in and there is no flashing icon.

Attached Xorg log.

[root@msi ~]# gsettings list-recursively | grep touchpad
org.gnome.settings-daemon.peripherals.touchpad disable-while-typing false
org.gnome.settings-daemon.peripherals.touchpad horiz-scroll-enabled true
org.gnome.settings-daemon.peripherals.touchpad left-handed 'mouse'
org.gnome.settings-daemon.peripherals.touchpad motion-acceleration -1.0
org.gnome.settings-daemon.peripherals.touchpad motion-threshold -1
org.gnome.settings-daemon.peripherals.touchpad natural-scroll false
org.gnome.settings-daemon.peripherals.touchpad scroll-method 'two-finger-scrolling'
org.gnome.settings-daemon.peripherals.touchpad tap-to-click false
org.gnome.settings-daemon.peripherals.touchpad touchpad-enabled true
org.gnome.settings-daemon.peripherals.touchpad disable-while-typing false
org.gnome.settings-daemon.peripherals.touchpad horiz-scroll-enabled true
org.gnome.settings-daemon.peripherals.touchpad left-handed 'mouse'
org.gnome.settings-daemon.peripherals.touchpad motion-acceleration -1.0
org.gnome.settings-daemon.peripherals.touchpad motion-threshold -1
org.gnome.settings-daemon.peripherals.touchpad natural-scroll false
org.gnome.settings-daemon.peripherals.touchpad scroll-method 'two-finger-scrolling'
org.gnome.settings-daemon.peripherals.touchpad tap-to-click false
org.gnome.settings-daemon.peripherals.touchpad touchpad-enabled true
Comment 5 Johan Heikkila 2013-07-20 13:20:10 EDT
Created attachment 776206 [details]
Xorg log from MSI GE60
Comment 6 Johan Heikkila 2013-07-25 08:31:49 EDT
> 
> After a yum downgrade xorg-x11-drv-synaptics (to 1.7.1-2.fc19) the first two
> issues seems gone, but edge scrolling still doesn't work. I.e. I am able to
> turn off and on the touchpad using hotkeys both at login prompt and logged
> in and there is no flashing icon.
> 

Now I get the same behaviour with 1.7.1-2.fc19 (touchpad turned off, icon flashing). It doesn't seem to be tied to these versions. The only I can tell is that it worked in F18.
Comment 7 Johan Heikkila 2013-07-25 08:40:00 EDT
Created attachment 778249 [details]
2nd Xorg log from MSI GE60

I see some different output in Xorg log now
Comment 8 David Woodhouse 2013-10-13 04:39:08 EDT
This broke for me too when I upgraded to F19 on an Acer Extensa 5230E. The GUI settings tool seems to have a checkbox for two-finger scrolling, which is checked, and also greyed out.

I fixed it at least temporarily with:

gsettings set org.gnome.settings-daemon.peripherals.touchpad scroll-method 'edge-scrolling'

Not sure yet if it'll persist. But I don't think it's a driver problem; I suspect the GNOME settings stuff has been dumbed-down too much...
Comment 10 MV 2013-10-28 18:44:37 EDT
Hi, this also occurs in Fedora Alpha 20 with gnome 3.10

Two fingers scroll is always enable, also if your laptop don't support (tested on a T400) so no scrolling.

The only work around is using the command line:

gsettings set org.gnome.settings-daemon.peripherals.touchpad scroll-method 'edge-scrolling'
Comment 11 Alexander van Loon 2013-11-10 08:27:49 EST
I confirm that I could not use my laptop's touchpad for scrolling either on Fedora 20 Alpha. I fixed by going to "Settings" → "Mouse and Trackpad" and then disabling "Two finger scroll", which was enabled by default. My laptop is an Acer TravelMate TimeLine 8371 and it does not support two finger scrolling.

I know this was an issue in the past, which was fixed in bug #960579 which is now closed. Since this has been confirmed to affect Fedora 20 Alpha as well, could the reporter please update the version to 20?
Comment 12 openfred 2013-11-16 17:46:41 EST
On Thinkpad T500, only Intel graphic card, same issue: no scroll available on the trackpad. 
The main difference with Comment #11 is that I can't disable "Two finger scroll" ("Défilement à 2 doigts" in screenshot).
T500 trackpad does not support 2 finger scrolling as well.
Comment 13 openfred 2013-11-16 17:47:50 EST
Created attachment 824986 [details]
Can't change 2 finger setting
Comment 14 collura 2014-01-23 23:53:51 EST
had similar problem in a toshiba satellite L355D-S7901 
with a synaptics trackpad.

(could fix with dconf editing of comment#8 
but left to see when it would repair itself).

happy to report that the problem was fixed when 
fedup updated from fc19 to fc20 :')

didnt track down the fix but currently working for my hardware with:

  kernel-3.12.8-300.fc20.x86_64
  gnome-shell-3.10.3-1.fc20.x86_64
  systemd-208.9.fc20.x86_64
  control-center-1:3.10.2-4.fc20.x86_64
  xorg-x11-drv-synaptics-1.7.1-6.fc20.x86_64

thanks :')
Comment 15 Fedora End Of Life 2015-01-09 17:11:09 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora End Of Life 2015-02-18 08:58:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.